/* Tabela CAIXA: TABELA DE CAIXA*/
/* Descrio: A trigger insere registros na tabela LOGOPERAVND a partir de alteraes na tabela CAIXA */
/* Objetivo: Gerar um log que vai registrar as alteraes na CAIXA,
             utilizando a tabela de Logs de Operaes do VND*/
CREATE OR REPLACE TRIGGER LOG_VND_CAIXA
AFTER DELETE OR INSERT OR UPDATE
ON CAIXA FOR EACH ROW
DECLARE
  V_DSREMOTEADDR VARCHAR2(15);
  V_DSREMOTEHOST VARCHAR2(15);
  V_DSSERVERRDM  VARCHAR2(20);
  V_DSSERVMETHOD VARCHAR2(30);
  V_DSREMOTEOPER VARCHAR2(12);
  V_DESC         VARCHAR2(3000);
  V_ITPESQ       VARCHAR2(40);
  V_NMOPERADOR   VARCHAR2(40);
  V_IDTIPOOPER   VARCHAR2(1);
BEGIN
/* IDTIPOOPER - '1' - Incluso, '2' - Alterao, '3' - Excluso*/
   V_DESC       := '';
   V_ITPESQ     := '';
   V_NMOPERADOR := '';
   V_IDTIPOOPER := '';
   NMUSUARIO(V_NMOPERADOR);
   WEBTUNNING(V_DSREMOTEADDR,
              V_DSREMOTEHOST,
              V_DSSERVERRDM,
              V_DSSERVMETHOD,
              V_DSREMOTEOPER);
   IF UPDATING THEN
      IF NVL(:NEW.CDFILIAL,'NULL') <> NVL(:OLD.CDFILIAL,'NULL') THEN 
         V_DESC := 'Filial ' || ' ' || NVL(:NEW.CDFILIAL,'' );
      END IF;
      IF NVL(:NEW.CDCAIXA,'NULL') <> NVL(:OLD.CDCAIXA,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'Caixa ' || ' ' || NVL(:NEW.CDCAIXA,'' );
      END IF;
      IF NVL(:NEW.NMCAIXA,'NULL') <> NVL(:OLD.NMCAIXA,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'Nm Caixa ' || ' ' || NVL(:NEW.NMCAIXA,'' );
      END IF;
      IF NVL(:NEW.CDLOJA,'NULL') <> NVL(:OLD.CDLOJA,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'Loja ' || ' ' || NVL(:NEW.CDLOJA,'' );
      END IF;
      IF NVL(:NEW.CDSERIECX,'NULL') <> NVL(:OLD.CDSERIECX,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'CDSERIECX ' || ' ' || NVL(:NEW.CDSERIECX,'' );
      END IF;
      IF NVL(:NEW.CDALMOXARIFE,'NULL') <> NVL(:OLD.CDALMOXARIFE,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'CDALMOXARIFE ' || ' ' || NVL(:NEW.CDALMOXARIFE,'' );
      END IF;
      IF NVL(:NEW.CDLOCALESTOQ,'NULL') <> NVL(:OLD.CDLOCALESTOQ,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'CDLOCALESTOQ ' || ' ' || NVL(:NEW.CDLOCALESTOQ,'' );
      END IF;
      IF NVL(:NEW.DSDIRFOTOPR,'NULL') <> NVL(:OLD.DSDIRFOTOPR,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'Ds Foto ' || ' ' || NVL(:NEW.DSDIRFOTOPR,'' );
      END IF;
      IF NVL(:NEW.IDCONFVENDA,'NULL') <> NVL(:OLD.IDCONFVENDA,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'id Conf Venda ' || ' ' || NVL(:NEW.IDCONFVENDA,'' );
      END IF;
      IF NVL(:NEW.IDGERANOTA ,'NULL') <> NVL(:OLD.IDGERANOTA ,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'Id Gera Nota ' || ' ' || NVL(:NEW.IDGERANOTA ,'' );
      END IF;
      IF NVL(:NEW.IDPORTABAL,'NULL') <> NVL(:OLD.IDPORTABAL,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'Port Bal ' || ' ' || NVL(:NEW.IDPORTABAL,'' );
      END IF;
      IF NVL(:NEW.IDPORTAIMP,'NULL') <> NVL(:OLD.IDPORTAIMP,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'Port Imp' || ' ' || NVL(:NEW.IDPORTAIMP,'' );
      END IF;
      IF NVL(:NEW.IDTPTELAVE,'NULL') <> NVL(:OLD.IDTPTELAVE,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'Tp Tela Venda ' || ' ' || NVL(:NEW.IDTPTELAVE,'' );
      END IF;
      IF NVL(:NEW.IDVEPORTABAL,'NULL') <> NVL(:OLD.IDVEPORTABAL,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'Vel Port Bal ' || ' ' || NVL(:NEW.IDVEPORTABAL,'' );
      END IF;
      IF NVL(:NEW.TPEXTFOTOPR,'NULL') <> NVL(:OLD.TPEXTFOTOPR,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'Ext Foto ' || ' ' || NVL(:NEW.TPEXTFOTOPR,'' );
      END IF;
      IF NVL(:NEW.VRABERCAIX,999999) <> NVL(:OLD.VRABERCAIX,999999) THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'Vr Aber' || ' ' || NVL(:NEW.VRABERCAIX,'' );
      END IF;
      IF NVL(:NEW.VRDIFCAIX,999999) <> NVL(:OLD.VRDIFCAIX,999999) THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'Vr Dif Max ' || ' ' || NVL(:NEW.VRDIFCAIX,'' );
      END IF;
      IF NVL(:NEW.IDENTRSAIDOP,'NULL') <> NVL(:OLD.IDENTRSAIDOP,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDENTRSAIDOP ' || ' ' || NVL(:NEW.IDENTRSAIDOP,'' );
      END IF;
      IF NVL(:NEW.CDTIPOOPER,'NULL') <> NVL(:OLD.CDTIPOOPER,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'CDTIPOOPER ' || ' ' || NVL(:NEW.CDTIPOOPER,'' );
      END IF;
      IF NVL(:NEW.IDCAMPOPESQ,'NULL') <> NVL(:OLD.IDCAMPOPESQ,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'Campo Pesq ' || ' ' || NVL(:NEW.IDCAMPOPESQ,'' );
      END IF;
      IF NVL(:NEW.IDINFOCONS,'NULL') <> NVL(:OLD.IDINFOCONS,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'Id Info Cons ' || ' ' || NVL(:NEW.IDINFOCONS,'' );
      END IF;
      IF NVL(:NEW.IDCOLETOR,'NULL') <> NVL(:OLD.IDCOLETOR,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'Coletor ' || ' ' || NVL(:NEW.IDCOLETOR,'' );
      END IF;
      IF NVL(:NEW.CDCAIXACONT,'NULL') <> NVL(:OLD.CDCAIXACONT,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'CDCAIXACONT ' || ' ' || NVL(:NEW.CDCAIXACONT,'' );
      END IF;
      IF NVL(:NEW.DSDIRIMPARQ,'NULL') <> NVL(:OLD.DSDIRIMPARQ,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'Dir Imp ' || ' ' || NVL(:NEW.DSDIRIMPARQ,'' );
      END IF;
      IF NVL(:NEW.DSDIRBACARQ,'NULL') <> NVL(:OLD.DSDIRBACARQ,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'Dir Back ' || ' ' || NVL(:NEW.DSDIRBACARQ,'' );
      END IF;
      IF NVL(:NEW.DSDIREXPARQ,'NULL') <> NVL(:OLD.DSDIREXPARQ,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'Dir Exp ' || ' ' || NVL(:NEW.DSDIREXPARQ,'' );
      END IF;
      IF NVL(:NEW.IDUTILTEF,'NULL') <> NVL(:OLD.IDUTILTEF,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'Uti Tef ' || ' ' || NVL(:NEW.IDUTILTEF,'' );
      END IF;
      IF NVL(:NEW.IDUTILCHEQ,'NULL') <> NVL(:OLD.IDUTILCHEQ,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'Id Info Cheq ' || ' ' || NVL(:NEW.IDUTILCHEQ,'' );
      END IF;
      IF NVL(:NEW.IDTIPINFCONS,'NULL') <> NVL(:OLD.IDTIPINFCONS,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'Id Tp If  ' || ' ' || NVL(:NEW.IDTIPINFCONS,'' );
      END IF;
      IF NVL(:NEW.IDPERTROCAOP,'NULL') <> NVL(:OLD.IDPERTROCAOP,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'Perm Troca Oper ' || ' ' || NVL(:NEW.IDPERTROCAOP,'' );
      END IF;
      IF NVL(:NEW.IDCAIXAFISCA,'NULL') <> NVL(:OLD.IDCAIXAFISCA,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'Id Caixa Fis ' || ' ' || NVL(:NEW.IDCAIXAFISCA,'' );
      END IF;
      IF NVL(:NEW.IDVERIFCOTA,'NULL') <> NVL(:OLD.IDVERIFCOTA,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'Verif Cota' || ' ' || NVL(:NEW.IDVERIFCOTA,'' );
      END IF;
      IF NVL(:NEW.IDIMPVENDCON,'NULL') <> NVL(:OLD.IDIMPVENDCON,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'Id Imp Vend ' || ' ' || NVL(:NEW.IDIMPVENDCON,'' );
      END IF;
      IF NVL(:NEW.VRLIMSANGRIA,999999) <> NVL(:OLD.VRLIMSANGRIA,999999) THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'Lim Sangria ' || ' ' || NVL(:NEW.VRLIMSANGRIA,'' );
      END IF;
      IF NVL(:NEW.IDEMIRECSANG,'NULL') <> NVL(:OLD.IDEMIRECSANG,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'Id Emi Rec Sang ' || ' ' || NVL(:NEW.IDEMIRECSANG,'' );
      END IF;
      IF NVL(:NEW.IDEMIRELPROD,'NULL') <> NVL(:OLD.IDEMIRELPROD,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'Id Emi Rel Prod ' || ' ' || NVL(:NEW.IDEMIRELPROD,'' );
      END IF;
      IF NVL(:NEW.IDTIPOCAIXA,'NULL') <> NVL(:OLD.IDTIPOCAIXA,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'Tp Caixa ' || ' ' || NVL(:NEW.IDTIPOCAIXA,'' );
      END IF;
      IF NVL(:NEW.CDFILICONFTE,'NULL') <> NVL(:OLD.CDFILICONFTE,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'CDFILICONFTE ' || ' ' || NVL(:NEW.CDFILICONFTE,'' );
      END IF;
      IF NVL(:NEW.NRCONFTELA,'NULL') <> NVL(:OLD.NRCONFTELA,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'NRCONFTELA ' || ' ' || NVL(:NEW.NRCONFTELA,'' );
      END IF;
      IF NVL(:NEW.CDGRUPPROD,'NULL') <> NVL(:OLD.CDGRUPPROD,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'CDGRUPPROD ' || ' ' || NVL(:NEW.CDGRUPPROD,'' );
      END IF;
      IF NVL(:NEW.CDPORTABAL,'NULL') <> NVL(:OLD.CDPORTABAL,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'Port Bal ' || ' ' || NVL(:NEW.CDPORTABAL,'' );
      END IF;
      IF NVL(:NEW.IDTIPOBAL,'NULL') <> NVL(:OLD.IDTIPOBAL,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'tp Bal ' || ' ' || NVL(:NEW.IDTIPOBAL,'' );
      END IF;
      IF NVL(:NEW.NRVELOCBAL,'NULL') <> NVL(:OLD.NRVELOCBAL,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'Vel Bal ' || ' ' || NVL(:NEW.NRVELOCBAL,'' );
      END IF;
      IF NVL(:NEW.CDPORTAIMPFI,'NULL') <> NVL(:OLD.CDPORTAIMPFI,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'Port Imp Fis ' || ' ' || NVL(:NEW.CDPORTAIMPFI,'' );
      END IF;
      IF NVL(:NEW.IDTIPOIMPFI,'NULL') <> NVL(:OLD.IDTIPOIMPFI,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'Tp Imp Fis ' || ' ' || NVL(:NEW.IDTIPOIMPFI,'' );
      END IF;
      IF NVL(:NEW.CDPORTACAT,'NULL') <> NVL(:OLD.CDPORTACAT,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'Port Cat ' || ' ' || NVL(:NEW.CDPORTACAT,'' );
      END IF;
      IF NVL(:NEW.IDTIPOCAT,'NULL') <> NVL(:OLD.IDTIPOCAT,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'Tp Cat ' || ' ' || NVL(:NEW.IDTIPOCAT,'' );
      END IF;
      IF NVL(:NEW.NRCOLETCAT,'NULL') <> NVL(:OLD.NRCOLETCAT,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'Colet Cat ' || ' ' || NVL(:NEW.NRCOLETCAT,'' );
      END IF;
      IF NVL(:NEW.CDPORTAPROX,'NULL') <> NVL(:OLD.CDPORTAPROX,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'Port Prox ' || ' ' || NVL(:NEW.CDPORTAPROX,'' );
      END IF;
      IF NVL(:NEW.IDTIPOPROX,'NULL') <> NVL(:OLD.IDTIPOPROX,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'Tp Prox ' || ' ' || NVL(:NEW.IDTIPOPROX,'' );
      END IF;
      IF NVL(:NEW.NRVELOCPROX,'NULL') <> NVL(:OLD.NRVELOCPROX,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'Vel Prox ' || ' ' || NVL(:NEW.NRVELOCPROX,'' );
      END IF;
      IF NVL(:NEW.IDTIPOTECLAD,'NULL') <> NVL(:OLD.IDTIPOTECLAD,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'Tp Tec ' || ' ' || NVL(:NEW.IDTIPOTECLAD,'' );
      END IF;
      IF NVL(:NEW.IDTIPOGAVETA,'NULL') <> NVL(:OLD.IDTIPOGAVETA,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'Tp Gav ' || ' ' || NVL(:NEW.IDTIPOGAVETA,'' );
      END IF;
      IF NVL(:NEW.CDPORTADISP,'NULL') <> NVL(:OLD.CDPORTADISP,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'Port Disp ' || ' ' || NVL(:NEW.CDPORTADISP,'' );
      END IF;
      IF NVL(:NEW.IDTIPODISP,'NULL') <> NVL(:OLD.IDTIPODISP,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'Tp Disp ' || ' ' || NVL(:NEW.IDTIPODISP,'' );
      END IF;
      IF NVL(:NEW.CDPORTAOPT,'NULL') <> NVL(:OLD.CDPORTAOPT,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'Port Opt ' || ' ' || NVL(:NEW.CDPORTAOPT,'' );
      END IF;
      IF NVL(:NEW.IDTIPOOPT,'NULL') <> NVL(:OLD.IDTIPOOPT,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'Tipo Opt ' || ' ' || NVL(:NEW.IDTIPOOPT,'' );
      END IF;
      IF NVL(:NEW.NRVELOCOPT,'NULL') <> NVL(:OLD.NRVELOCOPT,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'Vel Opt  ' || ' ' || NVL(:NEW.NRVELOCOPT,'' );
      END IF;
      IF NVL(:NEW.IDTIPOIMPCHQ,'NULL') <> NVL(:OLD.IDTIPOIMPCHQ,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'Tp Imp Chq ' || ' ' || NVL(:NEW.IDTIPOIMPCHQ,'' );
      END IF;
      IF NVL(:NEW.CDPORTACHQ,'NULL') <> NVL(:OLD.CDPORTACHQ,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'Port Imp Chq ' || ' ' || NVL(:NEW.CDPORTACHQ,'' );
      END IF;
      IF NVL(:NEW.NRVELOVCHQ,'NULL') <> NVL(:OLD.NRVELOVCHQ,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'Vel Imp Chq ' || ' ' || NVL(:NEW.NRVELOVCHQ,'' );
      END IF;
      IF NVL(:NEW.NMMUNICIPCHQ,'NULL') <> NVL(:OLD.NMMUNICIPCHQ,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'Nm Municip Chq ' || ' ' || NVL(:NEW.NMMUNICIPCHQ,'' );
      END IF;
      IF NVL(:NEW.NMNOMINALCHQ,'NULL') <> NVL(:OLD.NMNOMINALCHQ,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'Nm Favorecido Chq ' || ' ' || NVL(:NEW.NMNOMINALCHQ,'' );
      END IF;
      IF NVL(:NEW.NMMOEDACORRS,'NULL') <> NVL(:OLD.NMMOEDACORRS,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'Moeda Corr S ' || ' ' || NVL(:NEW.NMMOEDACORRS,'' );
      END IF;
      IF NVL(:NEW.NMMOEDACORRP,'NULL') <> NVL(:OLD.NMMOEDACORRP,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'Moeda Corr P ' || ' ' || NVL(:NEW.NMMOEDACORRP,'' );
      END IF;
      IF NVL(:NEW.IDGERADEBUG,'NULL') <> NVL(:OLD.IDGERADEBUG,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'Gera Debug ' || ' ' || NVL(:NEW.IDGERADEBUG,'' );
      END IF;
      IF NVL(:NEW.IDHRVERAO,'NULL') <> NVL(:OLD.IDHRVERAO,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'Id Hr Verao ' || ' ' || NVL(:NEW.IDHRVERAO,'' );
      END IF;
      IF NVL(:NEW.IDSINCIMPFIS,'NULL') <> NVL(:OLD.IDSINCIMPFIS,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'Id Sin Imp Fis ' || ' ' || NVL(:NEW.IDSINCIMPFIS,'' );
      END IF;
      IF NVL(:NEW.DSMSGINITOT,'NULL') <> NVL(:OLD.DSMSGINITOT,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'Msg Ini Tot ' || ' ' || NVL(:NEW.DSMSGINITOT,'' );
      END IF;
      IF NVL(:NEW.DSMSGADITOT,'NULL') <> NVL(:OLD.DSMSGADITOT,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'Msg Adi Tot ' || ' ' || NVL(:NEW.DSMSGADITOT,'' );
      END IF;
      IF NVL(:NEW.NRDIAINITOT,'NULL') <> NVL(:OLD.NRDIAINITOT,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'Dia Ini Tot ' || ' ' || NVL(:NEW.NRDIAINITOT,'' );
      END IF;
      IF NVL(:NEW.NRDIAFINTOT,'NULL') <> NVL(:OLD.NRDIAFINTOT,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'Dia Fim Tot ' || ' ' || NVL(:NEW.NRDIAFINTOT,'' );
      END IF;
      IF NVL(:NEW.NRSEGFECTOT,'NULL') <> NVL(:OLD.NRSEGFECTOT,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'Seg Fec Tot ' || ' ' || NVL(:NEW.NRSEGFECTOT,'' );
      END IF;
      IF NVL(:NEW.IDEXIMSGSAL,'NULL') <> NVL(:OLD.IDEXIMSGSAL,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'Exi Msg Sal ' || ' ' || NVL(:NEW.IDEXIMSGSAL,'' );
      END IF;
      IF NVL(:NEW.IDTIPEXTTOT,'NULL') <> NVL(:OLD.IDTIPEXTTOT,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'Tp Ext Tot ' || ' ' || NVL(:NEW.IDTIPEXTTOT,'' );
      END IF;
      IF NVL(:NEW.IDSELLOJTOT,'NULL') <> NVL(:OLD.IDSELLOJTOT,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'Sel Loj Tot ' || ' ' || NVL(:NEW.IDSELLOJTOT,'' );
      END IF;
      IF NVL(:NEW.IDINFCLIECAI,'NULL') <> NVL(:OLD.IDINFCLIECAI,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'Inf Cli Tot ' || ' ' || NVL(:NEW.IDINFCLIECAI,'' );
      END IF;
      IF NVL(:NEW.IDUTILEITCON,'NULL') <> NVL(:OLD.IDUTILEITCON,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'Id Pesq Cons ' || ' ' || NVL(:NEW.IDUTILEITCON,'' );
      END IF;
      IF NVL(:NEW.IDEXIMENDESC,'NULL') <> NVL(:OLD.IDEXIMENDESC,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'Exi Msg Desc ' || ' ' || NVL(:NEW.IDEXIMENDESC,'' );
      END IF;
      IF NVL(:NEW.DSSTRINGCON,'NULL') <> NVL(:OLD.DSSTRINGCON,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'St Cnx ' || ' ' || NVL(:NEW.DSSTRINGCON,'' );
      END IF;
      IF NVL(:NEW.DTULTATUCAIX,TO_DATE('01/01/0001','DD/MM/YYYY')) <> NVL(:OLD.DTULTATUCAIX,TO_DATE('01/01/0001','DD/MM/YYYY')) THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'Ult Atu Cx ' || ' ' || NVL(:NEW.DTULTATUCAIX,'' );
      END IF;
      IF NVL(:NEW.IDDIGCODPLM,'NULL') <> NVL(:OLD.IDDIGCODPLM,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'Dig Cd Plm ' || ' ' || NVL(:NEW.IDDIGCODPLM,'' );
      END IF;
      IF NVL(:NEW.IDTPIMPPARC,'NULL') <> NVL(:OLD.IDTPIMPPARC,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'Tp Imp Parc ' || ' ' || NVL(:NEW.IDTPIMPPARC,'' );
      END IF;
      IF NVL(:NEW.DSENDIPSITEF,'NULL') <> NVL(:OLD.DSENDIPSITEF,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'End Ip Tef ' || ' ' || NVL(:NEW.DSENDIPSITEF,'' );
      END IF;
      IF NVL(:NEW.DSMSGCONTOT,'NULL') <> NVL(:OLD.DSMSGCONTOT,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'Msg Con Tot ' || ' ' || NVL(:NEW.DSMSGCONTOT,'' );
      END IF;
      IF NVL(:NEW.IDIMPREDZ,'NULL') <> NVL(:OLD.IDIMPREDZ,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'Imp Red Z ' || ' ' || NVL(:NEW.IDIMPREDZ,'' );
      END IF;
      IF NVL(:NEW.CDTECLADO,'NULL') <> NVL(:OLD.CDTECLADO,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'Cd Tecl ' || ' ' || NVL(:NEW.CDTECLADO,'' );
      END IF;
      IF NVL(:NEW.IDAUTOIMPTAB,'NULL') <> NVL(:OLD.IDAUTOIMPTAB,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'Auto Imp Tab ' || ' ' || NVL(:NEW.IDAUTOIMPTAB,'' );
      END IF;
      IF NVL(:NEW.IDAUTOIMPVEN,'NULL') <> NVL(:OLD.IDAUTOIMPVEN,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'Auto Imp Ven ' || ' ' || NVL(:NEW.IDAUTOIMPVEN,'' );
      END IF;
      IF NVL(:NEW.CDLOJATEF,'NULL') <> NVL(:OLD.CDLOJATEF,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'Cd Lj Tef ' || ' ' || NVL(:NEW.CDLOJATEF,'' );
      END IF;
      IF NVL(:NEW.CDTERTEF,'NULL') <> NVL(:OLD.CDTERTEF,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'Cd Ter Tef ' || ' ' || NVL(:NEW.CDTERTEF,'' );
      END IF;
      IF NVL(:NEW.IDTRIBRELPRO,'NULL') <> NVL(:OLD.IDTRIBRELPRO,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'Trib Rel Pro ' || ' ' || NVL(:NEW.IDTRIBRELPRO,'' );
      END IF;
      IF NVL(:NEW.CDIMPRESSORA,'NULL') <> NVL(:OLD.CDIMPRESSORA,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'Cd Impressora ' || ' ' || NVL(:NEW.CDIMPRESSORA,'' );
      END IF;
      IF NVL(:NEW.DSDIRCAIXEXP,'NULL') <> NVL(:OLD.DSDIRCAIXEXP,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'Dir Cxa Exp ' || ' ' || NVL(:NEW.DSDIRCAIXEXP,'' );
      END IF;
      IF NVL(:NEW.DSCAIXATAB,'NULL') <> NVL(:OLD.DSCAIXATAB,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'Cxa Tab ' || ' ' || NVL(:NEW.DSCAIXATAB,'' );
      END IF;
      IF NVL(:NEW.DSCAIXAVEN,'NULL') <> NVL(:OLD.DSCAIXAVEN,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'Cxa Ven ' || ' ' || NVL(:NEW.DSCAIXAVEN,'' );
      END IF;
      IF NVL(:NEW.IDBLOQIDCART,'NULL') <> NVL(:OLD.IDBLOQIDCART,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'Bloq Id Cart ' || ' ' || NVL(:NEW.IDBLOQIDCART,'' );
      END IF;
      IF NVL(:NEW.DSOBSCUPFIS,'NULL') <> NVL(:OLD.DSOBSCUPFIS,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'Obs Cup Fis ' || ' ' || NVL(:NEW.DSOBSCUPFIS,'' );
      END IF;
      IF NVL(:NEW.IDINFVENBAL,'NULL') <> NVL(:OLD.IDINFVENBAL,'NULL') THEN 
         V_DESC := NVL(V_DESC, '') || ' ' || 'Inf Ven Bal ' || ' ' || NVL(:NEW.IDINFVENBAL,'' );
      END IF;
      IF NVL(:NEW.IDHABCAIXAVENDA,'NULL') <> NVL(:OLD.IDHABCAIXAVENDA,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'Hab Cx Venda ' || ' ' || NVL(:NEW.IDHABCAIXAVENDA,'' );
      END IF;
      IF NVL(:NEW.IDIMPBARRCUP,'NULL') <> NVL(:OLD.IDIMPBARRCUP,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'Imp Barr Cup ' || ' ' || NVL(:NEW.IDIMPBARRCUP,'' );
      END IF;
      IF NVL(:NEW.NMPADBARRCUP,'NULL') <> NVL(:OLD.NMPADBARRCUP,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'Pad Barr Cup ' || ' ' || NVL(:NEW.NMPADBARRCUP,'' );
      END IF;
      IF NVL(:NEW.IDPERMCANCVND,'NULL') <> NVL(:OLD.IDPERMCANCVND,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'Perm Canc Vnd ' || ' ' || NVL(:NEW.IDPERMCANCVND,'' );
      END IF;
      IF NVL(:NEW.IDIMPLEITURAX,'NULL') <> NVL(:OLD.IDIMPLEITURAX,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'Imp Leit X ' || ' ' || NVL(:NEW.IDIMPLEITURAX,'' );
      END IF;
      IF NVL(:NEW.IDTIPOIMPNF,'NULL') <> NVL(:OLD.IDTIPOIMPNF,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'Tp Imp NF ' || ' ' || NVL(:NEW.IDTIPOIMPNF,'' );
      END IF;
      IF NVL(:NEW.IDTIPOIMPNF2,'NULL') <> NVL(:OLD.IDTIPOIMPNF2,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'Tp Imp NF2 ' || ' ' || NVL(:NEW.IDTIPOIMPNF2,'' );
      END IF;
      IF NVL(:NEW.CDPORTAIMPNF,'NULL') <> NVL(:OLD.CDPORTAIMPNF,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'Port Imp Nf ' || ' ' || NVL(:NEW.CDPORTAIMPNF,'' );
      END IF;
      IF NVL(:NEW.CDPORTAIMPNF2,'NULL') <> NVL(:OLD.CDPORTAIMPNF2,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'Port Imp Nf2 ' || ' ' || NVL(:NEW.CDPORTAIMPNF2,'' );
      END IF;
      IF NVL(:NEW.IDTPVENDIMPNF1,'NULL') <> NVL(:OLD.IDTPVENDIMPNF1,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'Tp Vend ImpNf ' || ' ' || NVL(:NEW.IDTPVENDIMPNF1,'' );
      END IF;
      IF NVL(:NEW.IDTPVENDIMPNF2,'NULL') <> NVL(:OLD.IDTPVENDIMPNF2,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'Tp Vend Imp Nf2 ' || ' ' || NVL(:NEW.IDTPVENDIMPNF2,'' );
      END IF;
      IF NVL(:NEW.CDIMPRESSORA2,'NULL') <> NVL(:OLD.CDIMPRESSORA2,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'CD IMP2 ' || ' ' || NVL(:NEW.CDIMPRESSORA2,'' );
      END IF;
      IF NVL(:NEW.IDSOLNUMDEPFC,'NULL') <> NVL(:OLD.IDSOLNUMDEPFC,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'Sol Num Dep ' || ' ' || NVL(:NEW.IDSOLNUMDEPFC,'' );
      END IF;
      IF NVL(:NEW.IDSOLICITACPF,'NULL') <> NVL(:OLD.IDSOLICITACPF,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'Sol CPF ' || ' ' || NVL(:NEW.IDSOLICITACPF,'' );
      END IF;
      IF NVL(:NEW.IDGRAVAMFD,'NULL') <> NVL(:OLD.IDGRAVAMFD,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'Grava MFD ' || ' ' || NVL(:NEW.IDGRAVAMFD,'' );
      END IF;
      IF NVL(:NEW.IDBAIXAPERIF,'NULL') <> NVL(:OLD.IDBAIXAPERIF,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'BaixaPerif ' || ' ' || NVL(:NEW.IDBAIXAPERIF,'' );
      END IF;
      IF NVL(:NEW.IDINFREDZNCAD,'NULL') <> NVL(:OLD.IDINFREDZNCAD,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'Inf RedZ NCad ' || ' ' || NVL(:NEW.IDINFREDZNCAD,'' );
      END IF;
      IF NVL(:NEW.IDTIPOMICROTERM ,'NULL') <> NVL(:OLD.IDTIPOMICROTERM ,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'Tp Micro Term ' || ' ' || NVL(:NEW.IDTIPOMICROTERM ,'' );
      END IF;
      IF NVL(:NEW.CDSETOR,'NULL') <> NVL(:OLD.CDSETOR,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'Setor ' || ' ' || NVL(:NEW.CDSETOR,'' );
      END IF;
      IF NVL(:NEW.IDPAISINTEGRA,'NULL') <> NVL(:OLD.IDPAISINTEGRA,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'Pais Sintegra ' || ' ' || NVL(:NEW.IDPAISINTEGRA,'' );
      END IF;
      IF NVL(:NEW.CDPREFINTGCOL,'NULL') <> NVL(:OLD.CDPREFINTGCOL,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'Pref Intg Col ' || ' ' || NVL(:NEW.CDPREFINTGCOL,'' );
      END IF;
      IF NVL(:NEW.NRCUPINIINTGCOL,'NULL') <> NVL(:OLD.NRCUPINIINTGCOL,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'Cup Ini Intg Col ' || ' ' || NVL(:NEW.NRCUPINIINTGCOL,'' );
      END IF;
      IF NVL(:NEW.NRCUPFININTGCOL,'NULL') <> NVL(:OLD.NRCUPFININTGCOL,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'Cup Fim Intg Col ' || ' ' || NVL(:NEW.NRCUPFININTGCOL,'' );
      END IF;
      IF NVL(:NEW.DSRESOLINTGCOL,'NULL') <> NVL(:OLD.DSRESOLINTGCOL,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'DSRESOLINTGCOL ' || ' ' || NVL(:NEW.DSRESOLINTGCOL,'' );
      END IF;
      IF NVL(:NEW.IDPERCOMVENCPDC,'NULL') <> NVL(:OLD.IDPERCOMVENCPDC,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDPERCOMVENCPDC ' || ' ' || NVL(:NEW.IDPERCOMVENCPDC,'' );
      END IF;
      IF NVL(:NEW.DSMENSCPFCUP,'NULL') <> NVL(:OLD.DSMENSCPFCUP,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'DSMENSCPFCUP ' || ' ' || NVL(:NEW.DSMENSCPFCUP,'' );
      END IF;
      IF NVL(:NEW.IDLCDBARBALATOL,'NULL') <> NVL(:OLD.IDLCDBARBALATOL,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDLCDBARBALATOL ' || ' ' || NVL(:NEW.IDLCDBARBALATOL,'' );
      END IF;
      IF NVL(:NEW.NRPOSINICODBARR,'NULL') <> NVL(:OLD.NRPOSINICODBARR,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'NRPOSINICODBARR ' || ' ' || NVL(:NEW.NRPOSINICODBARR,'' );
      END IF;
      IF NVL(:NEW.NRPOSFINCODBARR,'NULL') <> NVL(:OLD.NRPOSFINCODBARR,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'NRPOSFINCODBARR ' || ' ' || NVL(:NEW.NRPOSFINCODBARR,'' );
      END IF;
      IF NVL(:NEW.NRPOSINIQTCDBAR,'NULL') <> NVL(:OLD.NRPOSINIQTCDBAR,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'NRPOSINIQTCDBAR ' || ' ' || NVL(:NEW.NRPOSINIQTCDBAR,'' );
      END IF;
      IF NVL(:NEW.NRPOSFINQTCDBAR,'NULL') <> NVL(:OLD.NRPOSFINQTCDBAR,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'NRPOSFINQTCDBAR ' || ' ' || NVL(:NEW.NRPOSFINQTCDBAR,'' );
      END IF;
      IF NVL(:NEW.NRPOSINIVRCDBAR,'NULL') <> NVL(:OLD.NRPOSINIVRCDBAR,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'NRPOSINIVRCDBAR ' || ' ' || NVL(:NEW.NRPOSINIVRCDBAR,'' );
      END IF;
      IF NVL(:NEW.NRPOSFINVRCDBAR,'NULL') <> NVL(:OLD.NRPOSFINVRCDBAR,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'NRPOSFINVRCDBAR ' || ' ' || NVL(:NEW.NRPOSFINVRCDBAR,'' );
      END IF;
      IF NVL(:NEW.IDIMPCOMPDEBCON,'NULL') <> NVL(:OLD.IDIMPCOMPDEBCON,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDIMPCOMPDEBCON ' || ' ' || NVL(:NEW.IDIMPCOMPDEBCON,'' );
      END IF;
      IF NVL(:NEW.IDIMPCOMPCREDPE,'NULL') <> NVL(:OLD.IDIMPCOMPCREDPE,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDIMPCOMPCREDPE ' || ' ' || NVL(:NEW.IDIMPCOMPCREDPE,'' );
      END IF;
      IF NVL(:NEW.IDIMPCOMPCUPVEN,'NULL') <> NVL(:OLD.IDIMPCOMPCUPVEN,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDIMPCOMPCUPVEN ' || ' ' || NVL(:NEW.IDIMPCOMPCUPVEN,'' );
      END IF;
      IF NVL(:NEW.IDGERAARQVNDRIO,'NULL') <> NVL(:OLD.IDGERAARQVNDRIO,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDGERAARQVNDRIO ' || ' ' || NVL(:NEW.IDGERAARQVNDRIO,'' );
      END IF;
      IF NVL(:NEW.IDTPCONTRREPIQ,'NULL') <> NVL(:OLD.IDTPCONTRREPIQ,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDTPCONTRREPIQ ' || ' ' || NVL(:NEW.IDTPCONTRREPIQ,'' );
      END IF;
      IF NVL(:NEW.IDPERABERCOMCXA,'NULL') <> NVL(:OLD.IDPERABERCOMCXA,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDPERABERCOMCXA ' || ' ' || NVL(:NEW.IDPERABERCOMCXA,'' );
      END IF;
      IF NVL(:NEW.NRDIASVENDAMSDE,'NULL') <> NVL(:OLD.NRDIASVENDAMSDE,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'NRDIASVENDAMSDE ' || ' ' || NVL(:NEW.NRDIASVENDAMSDE,'' );
      END IF;
      IF NVL(:NEW.IDFREQLIMPVENDA,'NULL') <> NVL(:OLD.IDFREQLIMPVENDA,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDFREQLIMPVENDA ' || ' ' || NVL(:NEW.IDFREQLIMPVENDA,'' );
      END IF;
      IF NVL(:NEW.NRDIASBXVNDMSDE,'NULL') <> NVL(:OLD.NRDIASBXVNDMSDE,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'NRDIASBXVNDMSDE ' || ' ' || NVL(:NEW.NRDIASBXVNDMSDE,'' );
      END IF;
      IF NVL(:NEW.IDUTILBINADEL,'NULL') <> NVL(:OLD.IDUTILBINADEL,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDUTILBINADEL ' || ' ' || NVL(:NEW.IDUTILBINADEL,'' );
      END IF;
      IF NVL(:NEW.IDEXIBTNIMPCTFS,'NULL') <> NVL(:OLD.IDEXIBTNIMPCTFS,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDEXIBTNIMPCTFS ' || ' ' || NVL(:NEW.IDEXIBTNIMPCTFS,'' );
      END IF;
      IF NVL(:NEW.IDEXIBTNLISPRFS,'NULL') <> NVL(:OLD.IDEXIBTNLISPRFS,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDEXIBTNLISPRFS ' || ' ' || NVL(:NEW.IDEXIBTNLISPRFS,'' );
      END IF;
      IF NVL(:NEW.CDLAYOUTIMP,'NULL') <> NVL(:OLD.CDLAYOUTIMP,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'CDLAYOUTIMP ' || ' ' || NVL(:NEW.CDLAYOUTIMP,'' );
      END IF;
      IF NVL(:NEW.IDPALFUTRABRCXA,'NULL') <> NVL(:OLD.IDPALFUTRABRCXA,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDPALFUTRABRCXA ' || ' ' || NVL(:NEW.IDPALFUTRABRCXA,'' );
      END IF;
      IF NVL(:NEW.IDSOLCONICNFIS,'NULL') <> NVL(:OLD.IDSOLCONICNFIS,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDSOLCONICNFIS ' || ' ' || NVL(:NEW.IDSOLCONICNFIS,'' );
      END IF;
      IF NVL(:NEW.IDSOLDIGOBSDC,'NULL') <> NVL(:OLD.IDSOLDIGOBSDC,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDSOLDIGOBSDC ' || ' ' || NVL(:NEW.IDSOLDIGOBSDC,'' );
      END IF;
      IF NVL(:NEW.IDSOLDIGCONS,'NULL') <> NVL(:OLD.IDSOLDIGCONS,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDSOLDIGCONS ' || ' ' || NVL(:NEW.IDSOLDIGCONS,'' );
      END IF;
      IF NVL(:NEW.IDSOLTPSANGRIACX,'NULL') <> NVL(:OLD.IDSOLTPSANGRIACX,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDSOLTPSANGRIACX ' || ' ' || NVL(:NEW.IDSOLTPSANGRIACX,'' );
      END IF;    
      IF NVL(:NEW.IDGERALOGFOS,'NULL') <> NVL(:OLD.IDGERALOGFOS,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDGERALOGFOS ' || ' ' || NVL(:NEW.IDGERALOGFOS,'' );
      END IF; 
      IF NVL(:NEW.VRPEMAXREPIQVND,999999) <> NVL(:OLD.VRPEMAXREPIQVND,999999) THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'VRPEMAXREPIQVND' || ' ' || NVL(:NEW.VRPEMAXREPIQVND,'' );
      END IF;
      IF NVL(:NEW.DSGRANCONTRIB,'NULL') <> NVL(:OLD.DSGRANCONTRIB,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'DSGRANCONTRIB ' || ' ' || NVL(:NEW.DSGRANCONTRIB,'' );
      END IF;
      IF NVL(:NEW.DSAUTORETENT,'NULL') <> NVL(:OLD.DSAUTORETENT,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'DSAUTORETENT ' || ' ' || NVL(:NEW.DSAUTORETENT,'' );
      END IF;
      IF NVL(:NEW.IDIMPCOMPVCP,'NULL') <> NVL(:OLD.IDIMPCOMPVCP,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDIMPCOMPVCP ' || ' ' || NVL(:NEW.IDIMPCOMPVCP,'' );
      END IF;
      IF NVL(:NEW.IDCONSCAIXATC,'NULL') <> NVL(:OLD.IDCONSCAIXATC,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDCONSCAIXATC ' || ' ' || NVL(:NEW.IDCONSCAIXATC,'' );
      END IF;
      IF NVL(:NEW.IDUTILFECHCEGO,'NULL') <> NVL(:OLD.IDUTILFECHCEGO,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDUTILFECHCEGO ' || ' ' || NVL(:NEW.IDUTILFECHCEGO,'' );
      END IF;
      IF NVL(:NEW.DSMSGAUTOPAG,'NULL') <> NVL(:OLD.DSMSGAUTOPAG,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'DSMSGAUTOPAG ' || ' ' || NVL(:NEW.DSMSGAUTOPAG,'' );
      END IF;
      IF NVL(:NEW.DSMSGLIBPAG,'NULL') <> NVL(:OLD.DSMSGLIBPAG,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'DSMSGLIBPAG ' || ' ' || NVL(:NEW.DSMSGLIBPAG,'' );
      END IF;
      IF NVL(:NEW.DSMSGPENPAG,'NULL') <> NVL(:OLD.DSMSGPENPAG,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'DSMSGPENPAG ' || ' ' || NVL(:NEW.DSMSGPENPAG,'' );
      END IF;
      IF NVL(:NEW.IDPERCONSEXT,'NULL') <> NVL(:OLD.IDPERCONSEXT,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDPERCONSEXT ' || ' ' || NVL(:NEW.IDPERCONSEXT,'' );
      END IF;
      IF NVL(:NEW.IDPERIMPREXT,'NULL') <> NVL(:OLD.IDPERIMPREXT,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDPERIMPREXT ' || ' ' || NVL(:NEW.IDPERIMPREXT,'' );
      END IF;
      IF NVL(:NEW.IDEXIEXTDIAS,'NULL') <> NVL(:OLD.IDEXIEXTDIAS,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDEXIEXTDIAS ' || ' ' || NVL(:NEW.IDEXIEXTDIAS,'' );
      END IF;
      IF NVL(:NEW.IDIMPEXTDIAS,'NULL') <> NVL(:OLD.IDIMPEXTDIAS,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDIMPEXTDIAS ' || ' ' || NVL(:NEW.IDIMPEXTDIAS,'' );
      END IF;
      IF NVL(:NEW.NRSEQIMPRLOJA1,'NULL') <> NVL(:OLD.NRSEQIMPRLOJA1,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'NRSEQIMPRLOJA1 ' || ' ' || NVL(:NEW.NRSEQIMPRLOJA1,'' );
      END IF;
      IF NVL(:NEW.NRSEQIMPRLOJA2,'NULL') <> NVL(:OLD.NRSEQIMPRLOJA2,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'NRSEQIMPRLOJA2 ' || ' ' || NVL(:NEW.NRSEQIMPRLOJA2,'' );
      END IF;
      IF NVL(:NEW.IDSINCCAIXADLV,'NULL') <> NVL(:OLD.IDSINCCAIXADLV,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDSINCCAIXADLV ' || ' ' || NVL(:NEW.IDSINCCAIXADLV,'' );
      END IF;
      IF NVL(:NEW.IDGERBKPMSDE,'NULL') <> NVL(:OLD.IDGERBKPMSDE,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDGERBKPMSDE ' || ' ' || NVL(:NEW.IDGERBKPMSDE,'' );
      END IF;
      IF NVL(:NEW.IDIMPPEDPROD,'NULL') <> NVL(:OLD.IDIMPPEDPROD,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDIMPPEDPROD ' || ' ' || NVL(:NEW.IDIMPPEDPROD,'' );
      END IF;
      IF NVL(:NEW.IDTPEMISSAOFOS,'NULL') <> NVL(:OLD.IDTPEMISSAOFOS,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDTPEMISSAOFOS ' || ' ' || NVL(:NEW.IDTPEMISSAOFOS,'' );
      END IF;
      IF NVL(:NEW.NRSEQIMPRLOJA3,'NULL') <> NVL(:OLD.NRSEQIMPRLOJA3,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'NRSEQIMPRLOJA3 ' || ' ' || NVL(:NEW.NRSEQIMPRLOJA3,'' );
      END IF;
      IF NVL(:NEW.IDTIPOIMPNF3,'NULL') <> NVL(:OLD.IDTIPOIMPNF3,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDTIPOIMPNF3 ' || ' ' || NVL(:NEW.IDTIPOIMPNF3,'' );
      END IF;
      IF NVL(:NEW.CDPORTAIMPNF3,'NULL') <> NVL(:OLD.CDPORTAIMPNF3,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'CDPORTAIMPNF3 ' || ' ' || NVL(:NEW.CDPORTAIMPNF3,'' );
      END IF;
      IF NVL(:NEW.IDTPVENDIMPNF3,'NULL') <> NVL(:OLD.IDTPVENDIMPNF3,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDTPVENDIMPNF3 ' || ' ' || NVL(:NEW.IDTPVENDIMPNF3,'' );
      END IF;
      IF NVL(:NEW.CDIMPRESSORA3,'NULL') <> NVL(:OLD.CDIMPRESSORA3,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'CDIMPRESSORA3 ' || ' ' || NVL(:NEW.CDIMPRESSORA3,'' );
      END IF;
      IF NVL(:NEW.IDPRIMVEZEXPON,'NULL') <> NVL(:OLD.IDPRIMVEZEXPON,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDPRIMVEZEXPON ' || ' ' || NVL(:NEW.IDPRIMVEZEXPON,'' );
      END IF;
      IF NVL(:NEW.CDSAT,'NULL') <> NVL(:OLD.CDSAT,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'CDSAT ' || ' ' || NVL(:NEW.CDSAT,'' );
      END IF;
      IF NVL(:NEW.IDSENHACUP,'NULL') <> NVL(:OLD.IDSENHACUP,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDSENHACUP ' || ' ' || NVL(:NEW.IDSENHACUP,'' );
      END IF;
      IF NVL(:NEW.IDTPEQUSAT,'NULL') <> NVL(:OLD.IDTPEQUSAT,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDTPEQUSAT ' || ' ' || NVL(:NEW.IDTPEQUSAT,'' );
      END IF;
      IF NVL(:NEW.IDTPTEF,'NULL') <> NVL(:OLD.IDTPTEF,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDTPTEF ' || ' ' || NVL(:NEW.IDTPTEF,'' );
      END IF;
      IF NVL(:NEW.CDPORTATEF,'NULL') <> NVL(:OLD.CDPORTATEF,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'CDPORTATEF ' || ' ' || NVL(:NEW.CDPORTATEF,'' );
      END IF;
      IF NVL(:NEW.CDESTTEF,'NULL') <> NVL(:OLD.CDESTTEF,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'CDESTTEF ' || ' ' || NVL(:NEW.CDESTTEF,'' );
      END IF;
      IF NVL(:NEW.NRSEQIMPRLOJA4,'NULL') <> NVL(:OLD.NRSEQIMPRLOJA4,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'NRSEQIMPRLOJA4 ' || ' ' || NVL(:NEW.NRSEQIMPRLOJA4,'' );
      END IF;
      IF NVL(:NEW.IDOBRIGFECHCAIX,'NULL') <> NVL(:OLD.IDOBRIGFECHCAIX,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDOBRIGFECHCAIX ' || ' ' || NVL(:NEW.IDOBRIGFECHCAIX,'' );
      END IF;
      IF NVL(:NEW.NRSEQIMPRLOJA5,'NULL') <> NVL(:OLD.NRSEQIMPRLOJA5,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'NRSEQIMPRLOJA5 ' || ' ' || NVL(:NEW.NRSEQIMPRLOJA5,'' );
      END IF;

      V_ITPESQ := :NEW.CDFILIAL||:NEW.CDCAIXA;
      V_IDTIPOOPER := '2';
   ELSE
      IF INSERTING THEN
      IF :NEW.CDFILIAL IS NOT NULL THEN 
         V_DESC := 'Filial ' || ' ' || NVL(:NEW.CDFILIAL,'' );
      END IF;
      IF :NEW.CDCAIXA IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'Caixa ' || ' ' || NVL(:NEW.CDCAIXA,'' );
      END IF;
      IF :NEW.NMCAIXA IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'Nm Caixa ' || ' ' || NVL(:NEW.NMCAIXA,'' );
      END IF;
      IF :NEW.CDLOJA IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'Loja ' || ' ' || NVL(:NEW.CDLOJA,'' );
      END IF;
      IF :NEW.CDSERIECX IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'CDSERIECX ' || ' ' || NVL(:NEW.CDSERIECX,'' );
      END IF;

      IF :NEW.CDALMOXARIFE IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'CDALMOXARIFE ' || ' ' || NVL(:NEW.CDALMOXARIFE,'' );
      END IF;
      IF :NEW.CDLOCALESTOQ IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'CDLOCALESTOQ ' || ' ' || NVL(:NEW.CDLOCALESTOQ,'' );
      END IF;
      IF :NEW.DSDIRFOTOPR IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'Ds Foto ' || ' ' || NVL(:NEW.DSDIRFOTOPR,'' );
      END IF;
      IF :NEW.IDCONFVENDA IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'id Conf Venda ' || ' ' || NVL(:NEW.IDCONFVENDA,'' );
      END IF;
      IF :NEW.IDGERANOTA  IS NOT NULL  THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'Id Gera Nota ' || ' ' || NVL(:NEW.IDGERANOTA ,'' );
      END IF;
      IF :NEW.IDPORTABAL IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'Port Bal ' || ' ' || NVL(:NEW.IDPORTABAL,'' );
      END IF;
      IF :NEW.IDPORTAIMP IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'Port Imp' || ' ' || NVL(:NEW.IDPORTAIMP,'' );
      END IF;
      IF :NEW.IDTPTELAVE IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'Tp Tela Venda ' || ' ' || NVL(:NEW.IDTPTELAVE,'' );
      END IF;
      IF :NEW.IDVEPORTABAL IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'Vel Port Bal ' || ' ' || NVL(:NEW.IDVEPORTABAL,'' );
      END IF;
      IF :NEW.TPEXTFOTOPR IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'Ext Foto ' || ' ' || NVL(:NEW.TPEXTFOTOPR,'' );
      END IF;
      IF :NEW.VRABERCAIX IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'Vr Aber' || ' ' || NVL(:NEW.VRABERCAIX,'' );
      END IF;
      IF :NEW.VRDIFCAIX IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'Vr Dif Max ' || ' ' || NVL(:NEW.VRDIFCAIX,'' );
      END IF;
      IF :NEW.IDENTRSAIDOP IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDENTRSAIDOP ' || ' ' || NVL(:NEW.IDENTRSAIDOP,'' );
      END IF;
      IF :NEW.CDTIPOOPER IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'CDTIPOOPER ' || ' ' || NVL(:NEW.CDTIPOOPER,'' );
      END IF;
      IF :NEW.IDCAMPOPESQ IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'Campo Pesq ' || ' ' || NVL(:NEW.IDCAMPOPESQ,'' );
      END IF;
      IF :NEW.IDINFOCONS IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'Id Info Cons ' || ' ' || NVL(:NEW.IDINFOCONS,'' );
      END IF;
      IF :NEW.IDCOLETOR IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'Coletor ' || ' ' || NVL(:NEW.IDCOLETOR,'' );
      END IF;
      IF :NEW.CDCAIXACONT IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'CDCAIXACONT ' || ' ' || NVL(:NEW.CDCAIXACONT,'' );
      END IF;
      IF :NEW.DSDIRIMPARQ IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'Dir Imp ' || ' ' || NVL(:NEW.DSDIRIMPARQ,'' );
      END IF;
      IF :NEW.DSDIRBACARQ IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'Dir Back ' || ' ' || NVL(:NEW.DSDIRBACARQ,'' );
      END IF;
      IF :NEW.DSDIREXPARQ IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'Dir Exp ' || ' ' || NVL(:NEW.DSDIREXPARQ,'' );
      END IF;
      IF :NEW.IDUTILTEF IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'Uti Tef ' || ' ' || NVL(:NEW.IDUTILTEF,'' );
      END IF;
      IF :NEW.IDUTILCHEQ IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'Id Info Cheq ' || ' ' || NVL(:NEW.IDUTILCHEQ,'' );
      END IF;
      IF :NEW.IDTIPINFCONS IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'Id Tp If  ' || ' ' || NVL(:NEW.IDTIPINFCONS,'' );
      END IF;
      IF :NEW.IDPERTROCAOP IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'Perm Troca Oper ' || ' ' || NVL(:NEW.IDPERTROCAOP,'' );
      END IF;
      IF :NEW.IDCAIXAFISCA IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'Id Caixa Fis ' || ' ' || NVL(:NEW.IDCAIXAFISCA,'' );
      END IF;
      IF :NEW.IDVERIFCOTA IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'Verif Cota' || ' ' || NVL(:NEW.IDVERIFCOTA,'' );
      END IF;
      IF :NEW.IDIMPVENDCON IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'Id Imp Vend ' || ' ' || NVL(:NEW.IDIMPVENDCON,'' );
      END IF;
      IF :NEW.VRLIMSANGRIA IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'Lim Sangria ' || ' ' || NVL(:NEW.VRLIMSANGRIA,'' );
      END IF;
      IF :NEW.IDEMIRECSANG IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'Id Emi Rec Sang ' || ' ' || NVL(:NEW.IDEMIRECSANG,'' );
      END IF;
      IF :NEW.IDEMIRELPROD IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'Id Emi Rel Prod ' || ' ' || NVL(:NEW.IDEMIRELPROD,'' );
      END IF;
      IF :NEW.IDTIPOCAIXA IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'Tp Caixa ' || ' ' || NVL(:NEW.IDTIPOCAIXA,'' );
      END IF;
      IF :NEW.CDFILICONFTE IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'CDFILICONFTE ' || ' ' || NVL(:NEW.CDFILICONFTE,'' );
      END IF;
      IF :NEW.NRCONFTELA IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'NRCONFTELA ' || ' ' || NVL(:NEW.NRCONFTELA,'' );
      END IF;
      IF :NEW.CDGRUPPROD IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'CDGRUPPROD ' || ' ' || NVL(:NEW.CDGRUPPROD,'' );
      END IF;
      IF :NEW.CDPORTABAL IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'Port Bal ' || ' ' || NVL(:NEW.CDPORTABAL,'' );
      END IF;
      IF :NEW.IDTIPOBAL IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'tp Bal ' || ' ' || NVL(:NEW.IDTIPOBAL,'' );
      END IF;
      IF :NEW.NRVELOCBAL IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'Vel Bal ' || ' ' || NVL(:NEW.NRVELOCBAL,'' );
      END IF;
      IF :NEW.CDPORTAIMPFI IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'Port Imp Fis ' || ' ' || NVL(:NEW.CDPORTAIMPFI,'' );
      END IF;
      IF :NEW.IDTIPOIMPFI IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'Tp Imp Fis ' || ' ' || NVL(:NEW.IDTIPOIMPFI,'' );
      END IF;
      IF :NEW.CDPORTACAT IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'Port Cat ' || ' ' || NVL(:NEW.CDPORTACAT,'' );
      END IF;
      IF :NEW.IDTIPOCAT IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'Tp Cat ' || ' ' || NVL(:NEW.IDTIPOCAT,'' );
      END IF;
      IF :NEW.NRCOLETCAT IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'Colet Cat ' || ' ' || NVL(:NEW.NRCOLETCAT,'' );
      END IF;
      IF :NEW.CDPORTAPROX IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'Port Prox ' || ' ' || NVL(:NEW.CDPORTAPROX,'' );
      END IF;
      IF :NEW.IDTIPOPROX IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'Tp Prox ' || ' ' || NVL(:NEW.IDTIPOPROX,'' );
      END IF;
      IF :NEW.NRVELOCPROX IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'Vel Prox ' || ' ' || NVL(:NEW.NRVELOCPROX,'' );
      END IF;
      IF :NEW.IDTIPOTECLAD IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'Tp Tec ' || ' ' || NVL(:NEW.IDTIPOTECLAD,'' );
      END IF;
      IF :NEW.IDTIPOGAVETA IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'Tp Gav ' || ' ' || NVL(:NEW.IDTIPOGAVETA,'' );
      END IF;
      IF :NEW.CDPORTADISP IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'Port Disp ' || ' ' || NVL(:NEW.CDPORTADISP,'' );
      END IF;
      IF :NEW.IDTIPODISP IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'Tp Disp ' || ' ' || NVL(:NEW.IDTIPODISP,'' );
      END IF;
      IF :NEW.CDPORTAOPT IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'Port Opt ' || ' ' || NVL(:NEW.CDPORTAOPT,'' );
      END IF;
      IF :NEW.IDTIPOOPT IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'Tipo Opt ' || ' ' || NVL(:NEW.IDTIPOOPT,'' );
      END IF;
      IF :NEW.NRVELOCOPT IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'Vel Opt  ' || ' ' || NVL(:NEW.NRVELOCOPT,'' );
      END IF;
      IF :NEW.IDTIPOIMPCHQ IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'Tp Imp Chq ' || ' ' || NVL(:NEW.IDTIPOIMPCHQ,'' );
      END IF;
      IF :NEW.CDPORTACHQ IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'Port Imp Chq ' || ' ' || NVL(:NEW.CDPORTACHQ,'' );
      END IF;
      IF :NEW.NRVELOVCHQ IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'Vel Imp Chq ' || ' ' || NVL(:NEW.NRVELOVCHQ,'' );
      END IF;
      IF :NEW.NMMUNICIPCHQ IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'Nm Municip Chq ' || ' ' || NVL(:NEW.NMMUNICIPCHQ,'' );
      END IF;
      IF :NEW.NMNOMINALCHQ IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'Nm Favorecido Chq ' || ' ' || NVL(:NEW.NMNOMINALCHQ,'' );
      END IF;
      IF :NEW.NMMOEDACORRS IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'Moeda Corr S ' || ' ' || NVL(:NEW.NMMOEDACORRS,'' );
      END IF;
      IF :NEW.NMMOEDACORRP IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'Moeda Corr P ' || ' ' || NVL(:NEW.NMMOEDACORRP,'' );
      END IF;
      IF :NEW.IDGERADEBUG IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'Gera Debug ' || ' ' || NVL(:NEW.IDGERADEBUG,'' );
      END IF;
      IF :NEW.IDHRVERAO IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'Id Hr Verao ' || ' ' || NVL(:NEW.IDHRVERAO,'' );
      END IF;
      IF :NEW.IDSINCIMPFIS IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'Id Sin Imp Fis ' || ' ' || NVL(:NEW.IDSINCIMPFIS,'' );
      END IF;
      IF :NEW.DSMSGINITOT IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'Msg Ini Tot ' || ' ' || NVL(:NEW.DSMSGINITOT,'' );
      END IF;
      IF :NEW.DSMSGADITOT IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'Msg Adi Tot ' || ' ' || NVL(:NEW.DSMSGADITOT,'' );
      END IF;
      IF :NEW.NRDIAINITOT IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'Dia Ini Tot ' || ' ' || NVL(:NEW.NRDIAINITOT,'' );
      END IF;
      IF :NEW.NRDIAFINTOT IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'Dia Fim Tot ' || ' ' || NVL(:NEW.NRDIAFINTOT,'' );
      END IF;
      IF :NEW.NRSEGFECTOT IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'Seg Fec Tot ' || ' ' || NVL(:NEW.NRSEGFECTOT,'' );
      END IF;
      IF :NEW.IDEXIMSGSAL IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'Exi Msg Sal ' || ' ' || NVL(:NEW.IDEXIMSGSAL,'' );
      END IF;
      IF :NEW.IDTIPEXTTOT IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'Tp Ext Tot ' || ' ' || NVL(:NEW.IDTIPEXTTOT,'' );
      END IF;
      IF :NEW.IDSELLOJTOT IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'Sel Loj Tot ' || ' ' || NVL(:NEW.IDSELLOJTOT,'' );
      END IF;
      IF :NEW.IDINFCLIECAI IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'Inf Cli Tot ' || ' ' || NVL(:NEW.IDINFCLIECAI,'' );
      END IF;
      IF :NEW.IDUTILEITCON IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'Id Pesq Cons ' || ' ' || NVL(:NEW.IDUTILEITCON,'' );
      END IF;
      IF :NEW.IDEXIMENDESC IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'Exi Msg Desc ' || ' ' || NVL(:NEW.IDEXIMENDESC,'' );
      END IF;
      IF :NEW.DSSTRINGCON IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'St Cnx ' || ' ' || NVL(:NEW.DSSTRINGCON,'' );
      END IF;
      IF :NEW.DTULTATUCAIX IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'Ult Atu Cx ' || ' ' || NVL(:NEW.DTULTATUCAIX,'' );
      END IF;
      IF :NEW.IDDIGCODPLM IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'Dig Cd Plm ' || ' ' || NVL(:NEW.IDDIGCODPLM,'' );
      END IF;
      IF :NEW.IDTPIMPPARC IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'Tp Imp Parc ' || ' ' || NVL(:NEW.IDTPIMPPARC,'' );
      END IF;
      IF :NEW.DSENDIPSITEF IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'End Ip Tef ' || ' ' || NVL(:NEW.DSENDIPSITEF,'' );
      END IF;
      IF :NEW.DSMSGCONTOT IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'Msg Con Tot ' || ' ' || NVL(:NEW.DSMSGCONTOT,'' );
      END IF;
      IF :NEW.IDIMPREDZ IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'Imp Red Z ' || ' ' || NVL(:NEW.IDIMPREDZ,'' );
      END IF;
      IF :NEW.CDTECLADO IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'Cd Tecl ' || ' ' || NVL(:NEW.CDTECLADO,'' );
      END IF;
      IF :NEW.IDAUTOIMPTAB IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'Auto Imp Tab ' || ' ' || NVL(:NEW.IDAUTOIMPTAB,'' );
      END IF;
      IF :NEW.IDAUTOIMPVEN IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'Auto Imp Ven ' || ' ' || NVL(:NEW.IDAUTOIMPVEN,'' );
      END IF;
      IF :NEW.CDLOJATEF IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'Cd Lj Tef ' || ' ' || NVL(:NEW.CDLOJATEF,'' );
      END IF;
      IF :NEW.CDTERTEF IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'Cd Ter Tef ' || ' ' || NVL(:NEW.CDTERTEF,'' );
      END IF;
      IF :NEW.IDTRIBRELPRO IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'Trib Rel Pro ' || ' ' || NVL(:NEW.IDTRIBRELPRO,'' );
      END IF;
      IF :NEW.CDIMPRESSORA IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'Cd Impressora ' || ' ' || NVL(:NEW.CDIMPRESSORA,'' );
      END IF;
      IF :NEW.DSDIRCAIXEXP IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'Dir Cxa Exp ' || ' ' || NVL(:NEW.DSDIRCAIXEXP,'' );
      END IF;
      IF :NEW.DSCAIXATAB IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'Cxa Tab ' || ' ' || NVL(:NEW.DSCAIXATAB,'' );
      END IF;
      IF :NEW.DSCAIXAVEN IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'Cxa Ven ' || ' ' || NVL(:NEW.DSCAIXAVEN,'' );
      END IF;
      IF :NEW.IDBLOQIDCART IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'Bloq Id Cart ' || ' ' || NVL(:NEW.IDBLOQIDCART,'' );
      END IF;
      IF :NEW.DSOBSCUPFIS IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'Obs Cup Fis ' || ' ' || NVL(:NEW.DSOBSCUPFIS,'' );
      END IF;
      IF :NEW.IDINFVENBAL IS NOT NULL THEN 
         V_DESC := NVL(V_DESC, '') || ' ' || 'Inf Ven Bal ' || ' ' || NVL(:NEW.IDINFVENBAL,'' );
      END IF;
      IF :NEW.IDHABCAIXAVENDA IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'Hab Cx Venda ' || ' ' || NVL(:NEW.IDHABCAIXAVENDA,'' );
      END IF;
      IF :NEW.IDIMPBARRCUP IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'Imp Barr Cup ' || ' ' || NVL(:NEW.IDIMPBARRCUP,'' );
      END IF;
      IF :NEW.NMPADBARRCUP IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'Pad Barr Cup ' || ' ' || NVL(:NEW.NMPADBARRCUP,'' );
      END IF;
      IF :NEW.IDPERMCANCVND IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'Perm Canc Vnd ' || ' ' || NVL(:NEW.IDPERMCANCVND,'' );
      END IF;
      IF :NEW.IDIMPLEITURAX IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'Imp Leit X ' || ' ' || NVL(:NEW.IDIMPLEITURAX,'' );
      END IF;
      IF :NEW.IDTIPOIMPNF IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'Tp Imp NF ' || ' ' || NVL(:NEW.IDTIPOIMPNF,'' );
      END IF;
      IF :NEW.IDTIPOIMPNF2 IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'Tp Imp NF2 ' || ' ' || NVL(:NEW.IDTIPOIMPNF2,'' );
      END IF;
      IF :NEW.CDPORTAIMPNF IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'Port Imp Nf ' || ' ' || NVL(:NEW.CDPORTAIMPNF,'' );
      END IF;
      IF :NEW.CDPORTAIMPNF2 IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'Port Imp Nf2 ' || ' ' || NVL(:NEW.CDPORTAIMPNF2,'' );
      END IF;
      IF :NEW.IDTPVENDIMPNF1 IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'Tp Vend ImpNf ' || ' ' || NVL(:NEW.IDTPVENDIMPNF1,'' );
      END IF;
      IF :NEW.IDTPVENDIMPNF2 IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'Tp Vend Imp Nf2 ' || ' ' || NVL(:NEW.IDTPVENDIMPNF2,'' );
      END IF;
      IF :NEW.CDIMPRESSORA2 IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'CD IMP2 ' || ' ' || NVL(:NEW.CDIMPRESSORA2,'' );
      END IF;
      IF :NEW.IDSOLNUMDEPFC IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'Sol Num Dep ' || ' ' || NVL(:NEW.IDSOLNUMDEPFC,'' );
      END IF;
      IF :NEW.IDSOLICITACPF IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'Sol CPF ' || ' ' || NVL(:NEW.IDSOLICITACPF,'' );
      END IF;
      IF :NEW.IDGRAVAMFD IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'Grava MFD ' || ' ' || NVL(:NEW.IDGRAVAMFD,'' );
      END IF;
      IF :NEW.IDBAIXAPERIF IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'BaixaPerif ' || ' ' || NVL(:NEW.IDBAIXAPERIF,'' );
      END IF;
      IF :NEW.IDINFREDZNCAD IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'Inf RedZ NCad ' || ' ' || NVL(:NEW.IDINFREDZNCAD,'' );
      END IF;
      IF :NEW.IDTIPOMICROTERM  IS NOT NULL  THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'Tp Micro Term ' || ' ' || NVL(:NEW.IDTIPOMICROTERM ,'' );
      END IF;
      IF :NEW.CDSETOR IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'Setor ' || ' ' || NVL(:NEW.CDSETOR,'' );
      END IF;
      IF :NEW.IDPAISINTEGRA IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'Pais Sintegra ' || ' ' || NVL(:NEW.IDPAISINTEGRA,'' );
      END IF;
      IF :NEW.CDPREFINTGCOL IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'Pref Intg Col ' || ' ' || NVL(:NEW.CDPREFINTGCOL,'' );
      END IF;
      IF :NEW.NRCUPINIINTGCOL IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'Cup Ini Intg Col ' || ' ' || NVL(:NEW.NRCUPINIINTGCOL,'' );
      END IF;
      IF :NEW.NRCUPFININTGCOL IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'Cup Fim Intg Col ' || ' ' || NVL(:NEW.NRCUPFININTGCOL,'' );
      END IF;
      IF :NEW.DSRESOLINTGCOL IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'DSRESOLINTGCOL ' || ' ' || NVL(:NEW.DSRESOLINTGCOL,'' );
      END IF;
      IF :NEW.IDPERCOMVENCPDC IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDPERCOMVENCPDC ' || ' ' || NVL(:NEW.IDPERCOMVENCPDC,'' );
      END IF;
      IF :NEW.DSMENSCPFCUP IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'DSMENSCPFCUP ' || ' ' || NVL(:NEW.DSMENSCPFCUP,'' );
      END IF;
      IF :NEW.IDLCDBARBALATOL IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDLCDBARBALATOL ' || ' ' || NVL(:NEW.IDLCDBARBALATOL,'' );
      END IF;
      IF :NEW.NRPOSINICODBARR IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'NRPOSINICODBARR ' || ' ' || NVL(:NEW.NRPOSINICODBARR,'' );
      END IF;
      IF :NEW.NRPOSFINCODBARR IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'NRPOSFINCODBARR ' || ' ' || NVL(:NEW.NRPOSFINCODBARR,'' );
      END IF;
      IF :NEW.NRPOSINIQTCDBAR IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'NRPOSINIQTCDBAR ' || ' ' || NVL(:NEW.NRPOSINIQTCDBAR,'' );
      END IF;
      IF :NEW.NRPOSFINQTCDBAR IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'NRPOSFINQTCDBAR ' || ' ' || NVL(:NEW.NRPOSFINQTCDBAR,'' );
      END IF;
      IF :NEW.NRPOSINIVRCDBAR IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'NRPOSINIVRCDBAR ' || ' ' || NVL(:NEW.NRPOSINIVRCDBAR,'' );
      END IF;
      IF :NEW.NRPOSFINVRCDBAR IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'NRPOSFINVRCDBAR ' || ' ' || NVL(:NEW.NRPOSFINVRCDBAR,'' );
      END IF;
      IF :NEW.IDIMPCOMPDEBCON IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDIMPCOMPDEBCON ' || ' ' || NVL(:NEW.IDIMPCOMPDEBCON,'' );
      END IF;
      IF :NEW.IDIMPCOMPCREDPE IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDIMPCOMPCREDPE ' || ' ' || NVL(:NEW.IDIMPCOMPCREDPE,'' );
      END IF;
      IF :NEW.IDIMPCOMPCUPVEN IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDIMPCOMPCUPVEN ' || ' ' || NVL(:NEW.IDIMPCOMPCUPVEN,'' );
      END IF;
      IF :NEW.IDGERAARQVNDRIO IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDGERAARQVNDRIO ' || ' ' || NVL(:NEW.IDGERAARQVNDRIO,'' );
      END IF;
      IF :NEW.IDTPCONTRREPIQ IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDTPCONTRREPIQ ' || ' ' || NVL(:NEW.IDTPCONTRREPIQ,'' );
      END IF;
      IF :NEW.IDPERABERCOMCXA IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDPERABERCOMCXA ' || ' ' || NVL(:NEW.IDPERABERCOMCXA,'' );
      END IF;
      IF :NEW.NRDIASVENDAMSDE IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'NRDIASVENDAMSDE ' || ' ' || NVL(:NEW.NRDIASVENDAMSDE,'' );
      END IF;
      IF :NEW.IDFREQLIMPVENDA IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDFREQLIMPVENDA ' || ' ' || NVL(:NEW.IDFREQLIMPVENDA,'' );
      END IF;
      IF :NEW.NRDIASBXVNDMSDE IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'NRDIASBXVNDMSDE ' || ' ' || NVL(:NEW.NRDIASBXVNDMSDE,'' );
      END IF;

      V_ITPESQ := :NEW.CDFILIAL||:NEW.CDCAIXA;
         V_IDTIPOOPER := '1';
      ELSE
         IF DELETING THEN
      IF :OLD.CDFILIAL IS NOT NULL THEN 
         V_DESC := ' ' || 'Cd Clie' || NVL(:OLD.CDFILIAL,'' );
      END IF;
      IF :OLD.CDFILIAL IS NOT NULL THEN 
         V_DESC := 'Filial ' || ' ' || NVL(:OLD.CDFILIAL,'' );
      END IF;
      IF :OLD.CDCAIXA IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'Caixa ' || ' ' || NVL(:OLD.CDCAIXA,'' );
      END IF;
      IF :OLD.NMCAIXA IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'Nm Caixa ' || ' ' || NVL(:OLD.NMCAIXA,'' );
      END IF;
      IF :OLD.CDLOJA IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'Loja ' || ' ' || NVL(:OLD.CDLOJA,'' );
      END IF;
      IF :OLD.CDALMOXARIFE IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'CDALMOXARIFE ' || ' ' || NVL(:OLD.CDALMOXARIFE,'' );
      END IF;
      IF :OLD.CDLOCALESTOQ IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'CDLOCALESTOQ ' || ' ' || NVL(:OLD.CDLOCALESTOQ,'' );
      END IF;
      IF :OLD.DSDIRFOTOPR IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'Ds Foto ' || ' ' || NVL(:OLD.DSDIRFOTOPR,'' );
      END IF;
      IF :OLD.IDCONFVENDA IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'id Conf Venda ' || ' ' || NVL(:OLD.IDCONFVENDA,'' );
      END IF;
      IF :OLD.IDGERANOTA  IS NOT NULL  THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'Id Gera Nota ' || ' ' || NVL(:OLD.IDGERANOTA ,'' );
      END IF;
      IF :OLD.IDPORTABAL IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'Port Bal ' || ' ' || NVL(:OLD.IDPORTABAL,'' );
      END IF;
      IF :OLD.IDPORTAIMP IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'Port Imp' || ' ' || NVL(:OLD.IDPORTAIMP,'' );
      END IF;
      IF :OLD.IDTPTELAVE IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'Tp Tela Venda ' || ' ' || NVL(:OLD.IDTPTELAVE,'' );
      END IF;
      IF :OLD.IDVEPORTABAL IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'Vel Port Bal ' || ' ' || NVL(:OLD.IDVEPORTABAL,'' );
      END IF;
      IF :OLD.TPEXTFOTOPR IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'Ext Foto ' || ' ' || NVL(:OLD.TPEXTFOTOPR,'' );
      END IF;
      IF :OLD.VRABERCAIX IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'Vr Aber' || ' ' || NVL(:OLD.VRABERCAIX,'' );
      END IF;
      IF :OLD.VRDIFCAIX IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'Vr Dif Max ' || ' ' || NVL(:OLD.VRDIFCAIX,'' );
      END IF;
      IF :OLD.IDENTRSAIDOP IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDENTRSAIDOP ' || ' ' || NVL(:OLD.IDENTRSAIDOP,'' );
      END IF;
      IF :OLD.CDTIPOOPER IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'CDTIPOOPER ' || ' ' || NVL(:OLD.CDTIPOOPER,'' );
      END IF;
      IF :OLD.IDCAMPOPESQ IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'Campo Pesq ' || ' ' || NVL(:OLD.IDCAMPOPESQ,'' );
      END IF;
      IF :OLD.IDINFOCONS IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'Id Info Cons ' || ' ' || NVL(:OLD.IDINFOCONS,'' );
      END IF;
      IF :OLD.IDCOLETOR IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'Coletor ' || ' ' || NVL(:OLD.IDCOLETOR,'' );
      END IF;
      IF :OLD.CDCAIXACONT IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'CDCAIXACONT ' || ' ' || NVL(:OLD.CDCAIXACONT,'' );
      END IF;
      IF :OLD.DSDIRIMPARQ IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'Dir Imp ' || ' ' || NVL(:OLD.DSDIRIMPARQ,'' );
      END IF;
      IF :OLD.DSDIRBACARQ IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'Dir Back ' || ' ' || NVL(:OLD.DSDIRBACARQ,'' );
      END IF;
      IF :OLD.DSDIREXPARQ IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'Dir Exp ' || ' ' || NVL(:OLD.DSDIREXPARQ,'' );
      END IF;
      IF :OLD.IDUTILTEF IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'Uti Tef ' || ' ' || NVL(:OLD.IDUTILTEF,'' );
      END IF;
      IF :OLD.IDUTILCHEQ IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'Id Info Cheq ' || ' ' || NVL(:OLD.IDUTILCHEQ,'' );
      END IF;
      IF :OLD.IDTIPINFCONS IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'Id Tp If  ' || ' ' || NVL(:OLD.IDTIPINFCONS,'' );
      END IF;
      IF :OLD.IDPERTROCAOP IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'Perm Troca Oper ' || ' ' || NVL(:OLD.IDPERTROCAOP,'' );
      END IF;
      IF :OLD.IDCAIXAFISCA IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'Id Caixa Fis ' || ' ' || NVL(:OLD.IDCAIXAFISCA,'' );
      END IF;
      IF :OLD.IDVERIFCOTA IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'Verif Cota' || ' ' || NVL(:OLD.IDVERIFCOTA,'' );
      END IF;
      IF :OLD.IDIMPVENDCON IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'Id Imp Vend ' || ' ' || NVL(:OLD.IDIMPVENDCON,'' );
      END IF;
      IF :OLD.VRLIMSANGRIA IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'Lim Sangria ' || ' ' || NVL(:OLD.VRLIMSANGRIA,'' );
      END IF;
      IF :OLD.IDEMIRECSANG IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'Id Emi Rec Sang ' || ' ' || NVL(:OLD.IDEMIRECSANG,'' );
      END IF;
      IF :OLD.IDEMIRELPROD IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'Id Emi Rel Prod ' || ' ' || NVL(:OLD.IDEMIRELPROD,'' );
      END IF;
      IF :OLD.IDTIPOCAIXA IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'Tp Caixa ' || ' ' || NVL(:OLD.IDTIPOCAIXA,'' );
      END IF;
      IF :OLD.CDFILICONFTE IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'CDFILICONFTE ' || ' ' || NVL(:OLD.CDFILICONFTE,'' );
      END IF;
      IF :OLD.NRCONFTELA IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'NRCONFTELA ' || ' ' || NVL(:OLD.NRCONFTELA,'' );
      END IF;
      IF :OLD.CDGRUPPROD IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'CDGRUPPROD ' || ' ' || NVL(:OLD.CDGRUPPROD,'' );
      END IF;
      IF :OLD.CDPORTABAL IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'Port Bal ' || ' ' || NVL(:OLD.CDPORTABAL,'' );
      END IF;
      IF :OLD.IDTIPOBAL IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'tp Bal ' || ' ' || NVL(:OLD.IDTIPOBAL,'' );
      END IF;
      IF :OLD.NRVELOCBAL IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'Vel Bal ' || ' ' || NVL(:OLD.NRVELOCBAL,'' );
      END IF;
      IF :OLD.CDPORTAIMPFI IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'Port Imp Fis ' || ' ' || NVL(:OLD.CDPORTAIMPFI,'' );
      END IF;
      IF :OLD.IDTIPOIMPFI IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'Tp Imp Fis ' || ' ' || NVL(:OLD.IDTIPOIMPFI,'' );
      END IF;
      IF :OLD.CDPORTACAT IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'Port Cat ' || ' ' || NVL(:OLD.CDPORTACAT,'' );
      END IF;
      IF :OLD.IDTIPOCAT IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'Tp Cat ' || ' ' || NVL(:OLD.IDTIPOCAT,'' );
      END IF;
      IF :OLD.NRCOLETCAT IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'Colet Cat ' || ' ' || NVL(:OLD.NRCOLETCAT,'' );
      END IF;
      IF :OLD.CDPORTAPROX IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'Port Prox ' || ' ' || NVL(:OLD.CDPORTAPROX,'' );
      END IF;
      IF :OLD.IDTIPOPROX IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'Tp Prox ' || ' ' || NVL(:OLD.IDTIPOPROX,'' );
      END IF;
      IF :OLD.NRVELOCPROX IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'Vel Prox ' || ' ' || NVL(:OLD.NRVELOCPROX,'' );
      END IF;
      IF :OLD.IDTIPOTECLAD IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'Tp Tec ' || ' ' || NVL(:OLD.IDTIPOTECLAD,'' );
      END IF;
      IF :OLD.IDTIPOGAVETA IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'Tp Gav ' || ' ' || NVL(:OLD.IDTIPOGAVETA,'' );
      END IF;
      IF :OLD.CDPORTADISP IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'Port Disp ' || ' ' || NVL(:OLD.CDPORTADISP,'' );
      END IF;
      IF :OLD.IDTIPODISP IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'Tp Disp ' || ' ' || NVL(:OLD.IDTIPODISP,'' );
      END IF;
      IF :OLD.CDPORTAOPT IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'Port Opt ' || ' ' || NVL(:OLD.CDPORTAOPT,'' );
      END IF;
      IF :OLD.IDTIPOOPT IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'Tipo Opt ' || ' ' || NVL(:OLD.IDTIPOOPT,'' );
      END IF;
      IF :OLD.NRVELOCOPT IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'Vel Opt  ' || ' ' || NVL(:OLD.NRVELOCOPT,'' );
      END IF;
      IF :OLD.IDTIPOIMPCHQ IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'Tp Imp Chq ' || ' ' || NVL(:OLD.IDTIPOIMPCHQ,'' );
      END IF;
      IF :OLD.CDPORTACHQ IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'Port Imp Chq ' || ' ' || NVL(:OLD.CDPORTACHQ,'' );
      END IF;
      IF :OLD.NRVELOVCHQ IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'Vel Imp Chq ' || ' ' || NVL(:OLD.NRVELOVCHQ,'' );
      END IF;
      IF :OLD.NMMUNICIPCHQ IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'Nm Municip Chq ' || ' ' || NVL(:OLD.NMMUNICIPCHQ,'' );
      END IF;
      IF :OLD.NMNOMINALCHQ IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'Nm Favorecido Chq ' || ' ' || NVL(:OLD.NMNOMINALCHQ,'' );
      END IF;
      IF :OLD.NMMOEDACORRS IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'Moeda Corr S ' || ' ' || NVL(:OLD.NMMOEDACORRS,'' );
      END IF;
      IF :OLD.NMMOEDACORRP IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'Moeda Corr P ' || ' ' || NVL(:OLD.NMMOEDACORRP,'' );
      END IF;
      IF :OLD.IDGERADEBUG IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'Gera Debug ' || ' ' || NVL(:OLD.IDGERADEBUG,'' );
      END IF;
      IF :OLD.IDHRVERAO IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'Id Hr Verao ' || ' ' || NVL(:OLD.IDHRVERAO,'' );
      END IF;
      IF :OLD.IDSINCIMPFIS IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'Id Sin Imp Fis ' || ' ' || NVL(:OLD.IDSINCIMPFIS,'' );
      END IF;
      IF :OLD.DSMSGINITOT IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'Msg Ini Tot ' || ' ' || NVL(:OLD.DSMSGINITOT,'' );
      END IF;
      IF :OLD.DSMSGADITOT IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'Msg Adi Tot ' || ' ' || NVL(:OLD.DSMSGADITOT,'' );
      END IF;
      IF :OLD.NRDIAINITOT IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'Dia Ini Tot ' || ' ' || NVL(:OLD.NRDIAINITOT,'' );
      END IF;
      IF :OLD.NRDIAFINTOT IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'Dia Fim Tot ' || ' ' || NVL(:OLD.NRDIAFINTOT,'' );
      END IF;
      IF :OLD.NRSEGFECTOT IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'Seg Fec Tot ' || ' ' || NVL(:OLD.NRSEGFECTOT,'' );
      END IF;
      IF :OLD.IDEXIMSGSAL IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'Exi Msg Sal ' || ' ' || NVL(:OLD.IDEXIMSGSAL,'' );
      END IF;
      IF :OLD.IDTIPEXTTOT IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'Tp Ext Tot ' || ' ' || NVL(:OLD.IDTIPEXTTOT,'' );
      END IF;
      IF :OLD.IDSELLOJTOT IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'Sel Loj Tot ' || ' ' || NVL(:OLD.IDSELLOJTOT,'' );
      END IF;
      IF :OLD.IDINFCLIECAI IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'Inf Cli Tot ' || ' ' || NVL(:OLD.IDINFCLIECAI,'' );
      END IF;
      IF :OLD.IDUTILEITCON IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'Id Pesq Cons ' || ' ' || NVL(:OLD.IDUTILEITCON,'' );
      END IF;
      IF :OLD.IDEXIMENDESC IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'Exi Msg Desc ' || ' ' || NVL(:OLD.IDEXIMENDESC,'' );
      END IF;
      IF :OLD.DSSTRINGCON IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'St Cnx ' || ' ' || NVL(:OLD.DSSTRINGCON,'' );
      END IF;
      IF :OLD.DTULTATUCAIX IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'Ult Atu Cx ' || ' ' || NVL(:OLD.DTULTATUCAIX,'' );
      END IF;
      IF :OLD.IDDIGCODPLM IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'Dig Cd Plm ' || ' ' || NVL(:OLD.IDDIGCODPLM,'' );
      END IF;
      IF :OLD.IDTPIMPPARC IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'Tp Imp Parc ' || ' ' || NVL(:OLD.IDTPIMPPARC,'' );
      END IF;
      IF :OLD.DSENDIPSITEF IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'End Ip Tef ' || ' ' || NVL(:OLD.DSENDIPSITEF,'' );
      END IF;
      IF :OLD.DSMSGCONTOT IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'Msg Con Tot ' || ' ' || NVL(:OLD.DSMSGCONTOT,'' );
      END IF;
      IF :OLD.IDIMPREDZ IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'Imp Red Z ' || ' ' || NVL(:OLD.IDIMPREDZ,'' );
      END IF;
      IF :OLD.CDTECLADO IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'Cd Tecl ' || ' ' || NVL(:OLD.CDTECLADO,'' );
      END IF;
      IF :OLD.IDAUTOIMPTAB IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'Auto Imp Tab ' || ' ' || NVL(:OLD.IDAUTOIMPTAB,'' );
      END IF;
      IF :OLD.IDAUTOIMPVEN IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'Auto Imp Ven ' || ' ' || NVL(:OLD.IDAUTOIMPVEN,'' );
      END IF;
      IF :OLD.CDLOJATEF IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'Cd Lj Tef ' || ' ' || NVL(:OLD.CDLOJATEF,'' );
      END IF;
      IF :OLD.CDTERTEF IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'Cd Ter Tef ' || ' ' || NVL(:OLD.CDTERTEF,'' );
      END IF;
      IF :OLD.IDTRIBRELPRO IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'Trib Rel Pro ' || ' ' || NVL(:OLD.IDTRIBRELPRO,'' );
      END IF;
      IF :OLD.CDIMPRESSORA IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'Cd Impressora ' || ' ' || NVL(:OLD.CDIMPRESSORA,'' );
      END IF;
      IF :OLD.DSDIRCAIXEXP IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'Dir Cxa Exp ' || ' ' || NVL(:OLD.DSDIRCAIXEXP,'' );
      END IF;
      IF :OLD.DSCAIXATAB IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'Cxa Tab ' || ' ' || NVL(:OLD.DSCAIXATAB,'' );
      END IF;
      IF :OLD.DSCAIXAVEN IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'Cxa Ven ' || ' ' || NVL(:OLD.DSCAIXAVEN,'' );
      END IF;
      IF :OLD.IDBLOQIDCART IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'Bloq Id Cart ' || ' ' || NVL(:OLD.IDBLOQIDCART,'' );
      END IF;
      IF :OLD.DSOBSCUPFIS IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'Obs Cup Fis ' || ' ' || NVL(:OLD.DSOBSCUPFIS,'' );
      END IF;
      IF :OLD.IDINFVENBAL IS NOT NULL THEN 
         V_DESC := NVL(V_DESC, '') || ' ' || 'Inf Ven Bal ' || ' ' || NVL(:OLD.IDINFVENBAL,'' );
      END IF;
      IF :OLD.IDHABCAIXAVENDA IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'Hab Cx Venda ' || ' ' || NVL(:OLD.IDHABCAIXAVENDA,'' );
      END IF;
      IF :OLD.IDIMPBARRCUP IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'Imp Barr Cup ' || ' ' || NVL(:OLD.IDIMPBARRCUP,'' );
      END IF;
      IF :OLD.NMPADBARRCUP IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'Pad Barr Cup ' || ' ' || NVL(:OLD.NMPADBARRCUP,'' );
      END IF;
      IF :OLD.IDPERMCANCVND IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'Perm Canc Vnd ' || ' ' || NVL(:OLD.IDPERMCANCVND,'' );
      END IF;
      IF :OLD.IDIMPLEITURAX IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'Imp Leit X ' || ' ' || NVL(:OLD.IDIMPLEITURAX,'' );
      END IF;
      IF :OLD.IDTIPOIMPNF IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'Tp Imp NF ' || ' ' || NVL(:OLD.IDTIPOIMPNF,'' );
      END IF;
      IF :OLD.IDTIPOIMPNF2 IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'Tp Imp NF2 ' || ' ' || NVL(:OLD.IDTIPOIMPNF2,'' );
      END IF;
      IF :OLD.CDPORTAIMPNF IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'Port Imp Nf ' || ' ' || NVL(:OLD.CDPORTAIMPNF,'' );
      END IF;
      IF :OLD.CDPORTAIMPNF2 IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'Port Imp Nf2 ' || ' ' || NVL(:OLD.CDPORTAIMPNF2,'' );
      END IF;
      IF :OLD.IDTPVENDIMPNF1 IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'Tp Vend ImpNf ' || ' ' || NVL(:OLD.IDTPVENDIMPNF1,'' );
      END IF;
      IF :OLD.IDTPVENDIMPNF2 IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'Tp Vend Imp Nf2 ' || ' ' || NVL(:OLD.IDTPVENDIMPNF2,'' );
      END IF;
      IF :OLD.CDIMPRESSORA2 IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'CD IMP2 ' || ' ' || NVL(:OLD.CDIMPRESSORA2,'' );
      END IF;
      IF :OLD.IDSOLNUMDEPFC IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'Sol Num Dep ' || ' ' || NVL(:OLD.IDSOLNUMDEPFC,'' );
      END IF;
      IF :OLD.IDSOLICITACPF IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'Sol CPF ' || ' ' || NVL(:OLD.IDSOLICITACPF,'' );
      END IF;
      IF :OLD.IDGRAVAMFD IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'Grava MFD ' || ' ' || NVL(:OLD.IDGRAVAMFD,'' );
      END IF;
      IF :OLD.IDBAIXAPERIF IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'BaixaPerif ' || ' ' || NVL(:OLD.IDBAIXAPERIF,'' );
      END IF;
      IF :OLD.IDINFREDZNCAD IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'Inf RedZ NCad ' || ' ' || NVL(:OLD.IDINFREDZNCAD,'' );
      END IF;
      IF :OLD.IDTIPOMICROTERM  IS NOT NULL  THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'Tp Micro Term ' || ' ' || NVL(:OLD.IDTIPOMICROTERM ,'' );
      END IF;
      IF :OLD.CDSETOR IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'Setor ' || ' ' || NVL(:OLD.CDSETOR,'' );
      END IF;
      IF :OLD.IDPAISINTEGRA IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'Pais Sintegra ' || ' ' || NVL(:OLD.IDPAISINTEGRA,'' );
      END IF;
      IF :OLD.CDPREFINTGCOL IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'Pref Intg Col ' || ' ' || NVL(:OLD.CDPREFINTGCOL,'' );
      END IF;
      IF :OLD.NRCUPINIINTGCOL IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'Cup Ini Intg Col ' || ' ' || NVL(:OLD.NRCUPINIINTGCOL,'' );
      END IF;
      IF :OLD.NRCUPFININTGCOL IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'Cup Fim Intg Col ' || ' ' || NVL(:OLD.NRCUPFININTGCOL,'' );
      END IF;
      IF :OLD.DSRESOLINTGCOL IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'DSRESOLINTGCOL ' || ' ' || NVL(:OLD.DSRESOLINTGCOL,'' );
      END IF;
      IF :OLD.IDPERCOMVENCPDC IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDPERCOMVENCPDC ' || ' ' || NVL(:OLD.IDPERCOMVENCPDC,'' );
      END IF;
      IF :OLD.DSMENSCPFCUP IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'DSMENSCPFCUP ' || ' ' || NVL(:OLD.DSMENSCPFCUP,'' );
      END IF;
      IF :OLD.IDLCDBARBALATOL IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDLCDBARBALATOL ' || ' ' || NVL(:OLD.IDLCDBARBALATOL,'' );
      END IF;
      IF :OLD.NRPOSINICODBARR IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'NRPOSINICODBARR ' || ' ' || NVL(:OLD.NRPOSINICODBARR,'' );
      END IF;
      IF :OLD.NRPOSFINCODBARR IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'NRPOSFINCODBARR ' || ' ' || NVL(:OLD.NRPOSFINCODBARR,'' );
      END IF;
      IF :OLD.NRPOSINIQTCDBAR IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'NRPOSINIQTCDBAR ' || ' ' || NVL(:OLD.NRPOSINIQTCDBAR,'' );
      END IF;
      IF :OLD.NRPOSFINQTCDBAR IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'NRPOSFINQTCDBAR ' || ' ' || NVL(:OLD.NRPOSFINQTCDBAR,'' );
      END IF;
      IF :OLD.NRPOSINIVRCDBAR IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'NRPOSINIVRCDBAR ' || ' ' || NVL(:OLD.NRPOSINIVRCDBAR,'' );
      END IF;
      IF :OLD.NRPOSFINVRCDBAR IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'NRPOSFINVRCDBAR ' || ' ' || NVL(:OLD.NRPOSFINVRCDBAR,'' );
      END IF;
      IF :OLD.IDIMPCOMPDEBCON IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDIMPCOMPDEBCON ' || ' ' || NVL(:OLD.IDIMPCOMPDEBCON,'' );
      END IF;
      IF :OLD.IDIMPCOMPCREDPE IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDIMPCOMPCREDPE ' || ' ' || NVL(:OLD.IDIMPCOMPCREDPE,'' );
      END IF;
      IF :OLD.IDIMPCOMPCUPVEN IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDIMPCOMPCUPVEN ' || ' ' || NVL(:OLD.IDIMPCOMPCUPVEN,'' );
      END IF;
      IF :OLD.IDGERAARQVNDRIO IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDGERAARQVNDRIO ' || ' ' || NVL(:OLD.IDGERAARQVNDRIO,'' );
      END IF;
      IF :OLD.IDTPCONTRREPIQ IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDTPCONTRREPIQ ' || ' ' || NVL(:OLD.IDTPCONTRREPIQ,'' );
      END IF;
      IF :OLD.IDPERABERCOMCXA IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDPERABERCOMCXA ' || ' ' || NVL(:OLD.IDPERABERCOMCXA,'' );
      END IF;
      IF :OLD.NRDIASVENDAMSDE IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'NRDIASVENDAMSDE ' || ' ' || NVL(:OLD.NRDIASVENDAMSDE,'' );
      END IF;
      IF :OLD.IDFREQLIMPVENDA IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDFREQLIMPVENDA ' || ' ' || NVL(:OLD.IDFREQLIMPVENDA,'' );
      END IF;
      IF :OLD.NRDIASBXVNDMSDE IS NOT NULL THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'NRDIASBXVNDMSDE ' || ' ' || NVL(:OLD.NRDIASBXVNDMSDE,'' );
      END IF;
      V_ITPESQ := :OLD.CDFILIAL||:OLD.CDCAIXA;
            V_IDTIPOOPER := '3';
         END IF;
      END IF;
   END IF;
   V_DESC := SUBSTR(V_DESC, 1, 300);
   INSERT INTO LOGOPERAVND
      (NMTABELAVND,
       DTOPERACAOVND,
       NMRESPOPERVND,
       IDTIPOOPERVND,
       DSOPERACAOVND,
       CDPESQITEMVND,
       DSRDMUSUOPERVND,
       DSENDUSUOPERVND,
       DSNMUSUOPERVND,
       DSMETUSUOPERVND,
       CDORESPOPERVND,
       CDFILLOGOPERVND)
   VALUES
      ('CAIXA',
       SYSDATE, 
       NVL(V_NMOPERADOR,' '),
       V_IDTIPOOPER,
       NVL(V_DESC,' '),
       V_ITPESQ,
       V_DSSERVERRDM,
       V_DSREMOTEADDR,
       V_DSREMOTEHOST,
       V_DSSERVMETHOD,
       V_DSREMOTEOPER,
       NVL(:NEW.CDFILIAL, :OLD.CDFILIAL));
END;
/

-- VERSAO --
BEGIN ATUVEROBJ('LOG_VND_CAIXA','5.20.001'); END;
/
